#include "curses_output.h"

curses_output::curses_output(std::unique_ptr<cursor> &new_curse):
        curse{new_curse} {}

void curses_output::render() {
        curse->show();
}

void curses_output::clear() {
        curse->clear();
}

void curses_output::print_char(const position &pos, const char ch,
                               const int attr) {
        curse->print_char(pos, ch, attr);
}

void curses_output::print_str(const position &pos, const std::string &str,
                              const int attr) {
        curse->print_str(pos, str, attr);
}
